package com.kcim.common.enums;

import lombok.Getter;

/**
 * 报表类型：0.科室损益表、1.完全成本法表、2.变动成本表、3.全院损益表、4.全成本报表
 * 报表类型枚举
 */
@Getter
public enum ReportTypeEnum {
    DEPARTMENT_PROFIT_LOSS(0, "科室损益"),
    COMPLETE_COSTING(1, "完全成本法表"),
    VARIABLE_COSTING(2, "变动成本表"),
    HOSP_PROFIT_LOSS(3, "全院损益表"),
    FULL_COST(4, "全成本报表"),
    ;

    Integer type;
    String name;

    ReportTypeEnum(Integer type, String name) {
        this.type = type;
        this.name = name;
    }
}
